"use strict";
const common_vendor = require("../../common/vendor.js");
const gen_Enums = require("../../gen/Enums.js");
const INDEX_binding_method = require("./method.js");
const INDEX_binding_model = require("./model.js");
const common_libraries_getPageConfig = require("../../common/libraries/getPageConfig.js");
require("../../common/libraries/apiLoading.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/userUserLogin.js");
if (!Array) {
  const _easycom_hs_popup_project2 = common_vendor.resolveComponent("hs-popup-project");
  const _easycom_hs_radio2 = common_vendor.resolveComponent("hs-radio");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_input2 = common_vendor.resolveComponent("hs-input");
  const _easycom_hs_upload_id_card2 = common_vendor.resolveComponent("hs-upload-id-card");
  const _easycom_hs_upload2 = common_vendor.resolveComponent("hs-upload");
  const _easycom_hs_radio_cell_picker_select2 = common_vendor.resolveComponent("hs-radio-cell-picker-select");
  const _easycom_hs_radio_cell_picker2 = common_vendor.resolveComponent("hs-radio-cell-picker");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  const _easycom_hs_popup_custom2 = common_vendor.resolveComponent("hs-popup-custom");
  (_easycom_hs_popup_project2 + _easycom_hs_radio2 + _easycom_hs_cell2 + _easycom_hs_input2 + _easycom_hs_upload_id_card2 + _easycom_hs_upload2 + _easycom_hs_radio_cell_picker_select2 + _easycom_hs_radio_cell_picker2 + _easycom_hs_footer2 + _easycom_hs_button2 + _easycom_hs_popup_custom2)();
}
const _easycom_hs_popup_project = () => "../../components/hs-popup-project/hs-popup-project.js";
const _easycom_hs_radio = () => "../../components/hs-radio/hs-radio.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_input = () => "../../components/hs-input/hs-input.js";
const _easycom_hs_upload_id_card = () => "../../components/hs-upload-id-card/hs-upload-id-card.js";
const _easycom_hs_upload = () => "../../components/hs-upload/hs-upload.js";
const _easycom_hs_radio_cell_picker_select = () => "../../components/hs-radio-cell-picker-select/hs-radio-cell-picker-select.js";
const _easycom_hs_radio_cell_picker = () => "../../components/hs-radio-cell-picker/hs-radio-cell-picker.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
const _easycom_hs_button = () => "../../components/hs-button/hs-button.js";
const _easycom_hs_popup_custom = () => "../../components/hs-popup-custom/hs-popup-custom.js";
if (!Math) {
  (_easycom_hs_popup_project + _easycom_hs_radio + _easycom_hs_cell + _easycom_hs_input + _easycom_hs_upload_id_card + _easycom_hs_upload + _easycom_hs_radio_cell_picker_select + _easycom_hs_radio_cell_picker + _easycom_hs_footer + _easycom_hs_button + _easycom_hs_popup_custom)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const HouseRegistersTypeEnum = {
      AddOwner: { text: "产权人", color: "#52c41a", value: "AddOwner" },
      AddOccupant: { text: "非产权人", color: "#108ee9", value: "AddOccupant" }
    };
    const desType = {
      Resident: "【住户】指的是产权人的亲属",
      PrimaryTenant: "【主租人】与产权人签订租赁合同的租户",
      Tenant: "【租客】由主租人带入、共同居住的租户"
    };
    common_vendor.watch(
      () => {
        var _a, _b, _c;
        return (_c = (_b = (_a = INDEX_binding_model.useModel) == null ? void 0 : _a.formData) == null ? void 0 : _b.value) == null ? void 0 : _c.asset_houses_id;
      },
      () => {
        var _a;
        (_a = INDEX_binding_method.method) == null ? void 0 : _a.handleSelectResidentialRelation();
      }
    );
    common_vendor.onUnload(() => {
      INDEX_binding_model.useModel.defaultHouseValueName.value = "";
    });
    common_vendor.onLoad((e) => {
      var _a;
      console.log("绑定", e);
      (_a = INDEX_binding_method.method) == null ? void 0 : _a.init(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _A, _B, _C;
      return common_vendor.e({
        a: common_vendor.s(`border-left: 3px solid ${common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()}`),
        b: common_vendor.o((_a = common_vendor.unref(INDEX_binding_method.method)) == null ? void 0 : _a.handleSelectProject),
        c: common_vendor.p({
          title: "选择房屋",
          defaultValueName: (_c = (_b = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _b.defaultHouseValueName) == null ? void 0 : _c.value
        }),
        d: (_f = (_e = (_d = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _d.formData) == null ? void 0 : _e.value) == null ? void 0 : _f.asset_houses_id
      }, ((_i = (_h = (_g = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _g.formData) == null ? void 0 : _h.value) == null ? void 0 : _i.asset_houses_id) ? common_vendor.e({
        e: common_vendor.s(`border-left: 3px solid ${common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()}`),
        f: common_vendor.o((_j = common_vendor.unref(INDEX_binding_method.method)) == null ? void 0 : _j.handleSelectType),
        g: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.type = $event),
        h: common_vendor.p({
          Enums: HouseRegistersTypeEnum,
          required: true,
          borderTop: true,
          valueModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.type
        }),
        i: common_vendor.p({
          title: "身份",
          required: true,
          borderTop: true
        }),
        j: ((_m = (_l = (_k = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _k.formData) == null ? void 0 : _l.value) == null ? void 0 : _m.type) === "AddOccupant"
      }, ((_p = (_o = (_n = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _n.formData) == null ? void 0 : _o.value) == null ? void 0 : _p.type) === "AddOccupant" ? {
        k: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.residential_relation = $event),
        l: common_vendor.p({
          Enums: common_vendor.unref(gen_Enums.HouseOccupantsResidentialRelationEnum),
          required: true,
          borderTop: true,
          valueModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.residential_relation
        }),
        m: common_vendor.p({
          title: "居住身份",
          required: true,
          borderTop: true,
          des: desType[(_s = (_r = (_q = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _q.formData) == null ? void 0 : _r.value) == null ? void 0 : _s.residential_relation]
        })
      } : {}) : {}, {
        n: common_vendor.unref(INDEX_binding_model.useModel).formData.value.type
      }, common_vendor.unref(INDEX_binding_model.useModel).formData.value.type ? {
        o: common_vendor.s(`border-left: 3px solid ${common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()}`),
        p: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.name = $event),
        q: common_vendor.p({
          textAlign: "right",
          valueModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.name
        }),
        r: common_vendor.p({
          title: "真实姓名",
          required: true,
          borderTop: true
        }),
        s: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.phone = $event),
        t: common_vendor.p({
          maxLength: "11",
          textAlign: "right",
          valueModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.phone
        }),
        v: common_vendor.p({
          title: "手机号",
          required: true,
          borderTop: true
        }),
        w: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.id_card = $event),
        x: common_vendor.p({
          maxLength: "18",
          textAlign: "right",
          valueModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.id_card
        }),
        y: common_vendor.p({
          title: "身份证号",
          required: true,
          borderTop: true
        })
      } : {}, {
        z: common_vendor.unref(INDEX_binding_model.useModel).formData.value.type
      }, common_vendor.unref(INDEX_binding_model.useModel).formData.value.type ? common_vendor.e({
        A: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.card_front_image = $event),
        B: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.card_back_image = $event),
        C: common_vendor.p({
          required: true,
          valueFrontModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.card_front_image,
          valueBackModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.card_back_image
        }),
        D: common_vendor.unref(INDEX_binding_model.useModel).formData.value.type === "AddOwner"
      }, common_vendor.unref(INDEX_binding_model.useModel).formData.value.type === "AddOwner" ? {
        E: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.ownership_info = $event),
        F: common_vendor.p({
          title: "上传房产证",
          count: 10,
          size: 4,
          required: true,
          borderTop: true,
          valueModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.ownership_info
        })
      } : {}) : {}, {
        G: common_vendor.unref(INDEX_binding_model.useModel).formData.value.residential_relation === "Resident"
      }, common_vendor.unref(INDEX_binding_model.useModel).formData.value.residential_relation === "Resident" ? {
        H: common_vendor.s(`border-left: 3px solid ${common_vendor.unref(common_libraries_getPageConfig.getStyleColorValueInfo)()}`),
        I: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.owners_id = $event),
        J: common_vendor.p({
          title: "房屋产权人",
          List: (_u = (_t = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _t.ownerList) == null ? void 0 : _u.value,
          borderTop: true,
          valueModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.owners_id
        }),
        K: common_vendor.o(($event) => common_vendor.unref(INDEX_binding_model.useModel).formData.value.relation_with_owner = $event),
        L: common_vendor.p({
          Enums: common_vendor.unref(gen_Enums.HouseOccupantsRelationWithOwnerEnum),
          title: "与产权人关系",
          borderTop: true,
          valueModel: common_vendor.unref(INDEX_binding_model.useModel).formData.value.relation_with_owner
        })
      } : {}, {
        M: common_vendor.o((_v = common_vendor.unref(INDEX_binding_method.method)) == null ? void 0 : _v.handleSubmit),
        N: common_vendor.p({
          btnParimaryName: "绑定房屋",
          loading: (_x = (_w = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _w.loading) == null ? void 0 : _x.value
        }),
        O: common_vendor.o((_y = common_vendor.unref(INDEX_binding_method.method)) == null ? void 0 : _y.handleSubmitStore),
        P: common_vendor.p({
          label: "我也是产权人之一",
          size: "md",
          type: "primary"
        }),
        Q: common_vendor.o((_z = common_vendor.unref(INDEX_binding_method.method)) == null ? void 0 : _z.handleSubmitStore),
        R: common_vendor.p({
          label: "我是新产权人（房屋已过户）",
          size: "md",
          type: "display"
        }),
        S: common_vendor.o((_A = common_vendor.unref(INDEX_binding_method.method)) == null ? void 0 : _A.handleClose),
        T: common_vendor.p({
          label: "重选房屋",
          size: "md",
          type: "default"
        }),
        U: common_vendor.p({
          title: "该房屋已有产权人",
          show: (_C = (_B = common_vendor.unref(INDEX_binding_model.useModel)) == null ? void 0 : _B.show) == null ? void 0 : _C.value,
          mode: "center"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/binding/index.vue"]]);
wx.createPage(MiniProgramPage);
